## ros-kinetic-qb-device-msgs 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_device_msgs VERSION 2.1.1 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    std_msgs
    message_generation
)

add_message_files(
  DIRECTORY msg
  FILES
    Info.msg
    ResourceData.msg
    State.msg
    StateStamped.msg
)

generate_messages(
  DEPENDENCIES
    std_msgs
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    std_msgs
    message_runtime
)

# Installation
install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-qb-device-msgs (2.1.1-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 06 Oct 2019 22:00:00 -0000

ros-kinetic-qb-device-msgs (2.1.0-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 27 May 2019 22:00:00 -0000

ros-kinetic-qb-device-msgs (2.0.3-1xenial) xenial; urgency=high

  * Update license agreement copyright

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-kinetic-qb-device-msgs (2.0.2-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 06 Aug 2018 22:00:00 -0000

ros-kinetic-qb-device-msgs (2.0.1-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 31 May 2018 22:00:00 -0000

ros-kinetic-qb-device-msgs (2.0.0-1xenial) xenial; urgency=high

  * Add device configuration to the state topic info
  * Add repetitions while reading from serial

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.2.2-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 29 Nov 2017 23:00:00 -0000

ros-kinetic-qb-device-msgs (1.1.0-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.8-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 26 Jun 2017 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.7-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 25 Jun 2017 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.6-1xenial) xenial; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.5-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.4-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.3-1xenial) xenial; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.2-1xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 19 Jun 2017 22:00:00 -0000

ros-kinetic-qb-device-msgs (1.0.1-1xenial) xenial; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 18 Jun 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-qb-device-msgs
Section: misc
Priority: extra
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/qb_device_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-qb-device-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: This package contains the device-independent custom ROS messages for qbrobotics® devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-qb-device-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
